## Name

systemd-udevd.service, systemd-udevd-control.socket, systemd-udevd-kernel.socket, systemd-udevd — Device event managing daemon

## Synopsis

`systemd-udevd.service`

`systemd-udevd-control.socket`

`systemd-udevd-kernel.socket`

`/usr/lib/systemd/systemd-udevd` [`--daemon`] [`--debug`] [`--children-max=`] [`--exec-delay=`] [`--resolve-names=early|late|never`] [`--version`] [`--help`]

## Description

systemd-udevd listens to kernel uevents. For every event, systemd-udevd executes matching instructions specified in udev rules. See udev(7).

The behavior of the running daemon can be changed with udevadm control.

## Options

`--daemon`

  Detach and run in the background.

`--debug`

  Print debug messages to stderr.

`--children-max=`

  Limit the number of parallel executed events.

`--exec-delay=`

  Number of seconds to delay the execution of RUN instructions. This might be useful when debugging system crashes during coldplug cause by loading non-working kernel modules.

`--resolve-names=`

  Specify when systemd-udevd should resolve names of users and groups. When set to `early` (the default) names will be resolved when the rules are parsed. When set to `late` names will be resolved for every event. When set to `never` names will never be resolved and all devices will be owned by root.

`--version`

  Print version number.

`--help`

  Print help text.

## Environment

`UDEV_LOG=`

  Set the logging priority.

## Kernel command line

The parameters starting with "rd.", will be read when udev is used in an initrd.

`udev.log-priority=`, `rd.udev.log-priority=`

  Set the logging priority.

`udev.children-max=`, `rd.udev.children-max=`

  Limit the number of parallel executed events.

`udev.exec-delay=`, `rd.udev.exec-delay=`

  Number of seconds to delay the execution of RUN instructions. This might be useful when debugging system crashes during coldplug cause by loading non-working kernel modules.

## See Also

udev(7), udevadm(8)